Get Agent Session Activity
curl --request GET \
--url https://api.opensink.com/api/v1/agent-session-activities/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opensink.com/api/v1/agent-session-activities/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opensink.com/api/v1/agent-session-activities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "session_started",
"source": "system",
"related_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"payload": {},
"links": [
{
"text": "<string>",
"href": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "Unauthorized"
}{
"error": "Insufficient permissions"
}{
"error": "Not found"
}Agent Session Activity
Get Agent Session Activity
Get a specific activity by ID
Required scope: agent_session_activities:read, agent_session_activities:all, or all:all
GET
/
api
/
v1
/
agent-session-activities
/
{id}
Get Agent Session Activity
Authorizations
API key authentication
Path Parameters
Agent Session Activity ID
Response
An activity log entry for an agent session
An activity log entry for an agent session
Unique identifier
Parent session ID
Parent agent ID
Workspace ID
Activity type
Available options:
session_started, session_ended, message, input_request_created, input_request_resolved, sink_item_created, state_updated Activity source
Available options:
system, agent, user Related entity ID (e.g., input request ID, sink item ID)
Human-readable message
Additional activity data
Associated links
Show child attributes
Show child attributes
Creation timestamp
Last update timestamp

